<script>
  import back from "../../plugins/axios";

  let name = "";
  let alert = "";
  let success = "";

  back.get("/website/event_name").then((res) => {
    name = res.data.event_name;
    console.log(name);
  });

  function update() {
    back.put("/website/event_name", { name: name }).then((res) => {
      if (res.status == 200) {
        name = res.data.event_name;
        success =
          "Le nom de l'évènement a été mis à jour : " + res.data.event_name;
      } else {
        alert = "Une erreur est survenue";
      }
      setTimeout(() => {
        success = "";
        alert = "";
      }, 5000);
    });
  }
</script>

<div class="w-full h-full max-w-md items-center self-center">
  <form
    class="bg-secondary h-full shadow-md items-center rounded px-8 pt-6 pb-8 mb-4"
    on:submit|preventDefault={update}
  >
    <!-- alert & success -->
    {#if alert}
      <div
        class="bg-red-100 border border-red-400 text-red-700 px-4 py-3 rounded relative mt-2 mb-2"
        role="alert"
      >
        <strong class="font-bold">Erreur !</strong>
        <span class="block sm:inline">{alert}</span>
      </div>
    {/if}
    {#if success}
      <div
        class="bg-green-100 border border-green-400 text-green-700 px-4 py-3 rounded relative mt-2 mb-2"
        role="alert"
      >
        <strong class="font-bold">Succès !</strong>
        <span class="block sm:inline">{success}</span>
      </div>
    {/if}
    <div class="mb-4">
      <label class="block text-gray-700 text-sm font-bold mb-2" for="name">
        Nom de l'évènement
      </label>
      <input
        class="shadow appearance-none border rounded w-full py-2 px-3 text-gray-700 leading-tight focus:outline-none focus:shadow-outline"
        id="name"
        type="text"
        placeholder={name}
        bind:value={name}
      />
    </div>
    <div class="flex items-center justify-between">
      <button
        class="bg-blue-500 hover:bg-blue-700 text-white font-bold py-2 px-4 rounded focus:outline-none focus:shadow-outline"
        type="button"
        on:click={update}
      >
        Envoyer
      </button>
    </div>
  </form>
</div>
